> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Erstellt einen Verarbeitungsvorgang

> Erstellt einen Vorgang, der zum Verarbeiten von Dateien verwendet wird.



## OpenAPI

````yaml /de/openapi.json post /api/publicapi/v1/transactions
openapi: 3.0.4
info:
  description: 'Umgebung: Produktion<br>Produktversion: 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: Produktion USA
    url: https://vantage-us.abbyy.com
  - description: Produktion Europa
    url: https://vantage-eu.abbyy.com
  - description: Produktion Australien
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/transactions:
    post:
      tags:
        - Transactions
      summary: Erstellt einen Verarbeitungsvorgang
      description: Erstellt einen Vorgang, der zum Verarbeiten von Dateien verwendet wird.
      operationId: CreateTransaction
      requestBody:
        content:
          application/*+json:
            schema:
              $ref: >-
                #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionCreateRequest
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionCreateRequest
          application/json-patch+json:
            schema:
              $ref: >-
                #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionCreateRequest
          text/json:
            schema:
              $ref: >-
                #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionCreateRequest
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.NewTransactionResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.NewTransactionResult
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.NewTransactionResult
          description: Transaction erfolgreich erstellt
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: Einige Parameter sind ungültig
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: >-
            Skill mit der angegebenen skillId wurde nicht gefunden oder ist
            nicht veröffentlicht
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionCreateRequest:
      additionalProperties: false
      description: Parameter zur Erstellung einer Transaction
      properties:
        generateMobileInputLink:
          default: false
          description: >-
            URL generieren, um den mobilen Input mit einem einmaligen
            Authentifizierungs-Token zu starten und ein Bild in einen bestimmten
            Vorgang einzufügen
          type: boolean
        registrationParameters:
          description: Zusätzliche Registrierungsparameter für den Vorgang
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionRegistrationParameter
          maxItems: 10
          nullable: true
          type: array
        skillId:
          description: ID des anzuwendenden Skills für die Dateien
          minLength: 1
          type: string
        skillParameters:
          description: Skill-Parameter für Vorgänge
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionSkillParameter
          maxItems: 10
          nullable: true
          type: array
      required:
        - skillId
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.NewTransactionResult:
      additionalProperties: false
      properties:
        isShortLink:
          description: >-
            Handelt es sich bei dem mobilen Eingabelink um einen Kurzlink, der
            auf den ursprünglichen mobilen Eingabelink verweist?
          type: boolean
        mobileInputLink:
          description: >-
            Mobiler Eingabelink, der ein einmaliges Autorisierungstoken für den
            aktuellen Vorgang enthält.

            Der Parameter wird zurückgegeben, wenn generateMobileInputLink=true
            ist.
          nullable: true
          type: string
        transactionId:
          format: uuid
          type: string
      required:
        - transactionId
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionRegistrationParameter:
      additionalProperties: false
      description: Registrierungsparameter für die Transaction
      properties:
        key:
          description: Schlüsselname des Parameters
          minLength: 1
          type: string
        value:
          description: Wert des Parameter
          minLength: 1
          type: string
      required:
        - key
        - value
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionSkillParameter:
      additionalProperties: false
      description: Skill-Parameter für den Vorgang
      properties:
        key:
          description: Schlüsselname des Parameters
          minLength: 1
          type: string
        value:
          description: Wert des Parameters
          minLength: 1
          type: string
      required:
        - key
        - value
      type: object
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````